Qt Reference Documentation

# ChooseMultipleFilesExtensionOption Class Reference

(QWebPage::ChooseMultipleFilesExtensionOption)

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension. More...

     #include <QWebPage>

This class was introduced in Qt 4.5.

- List of all members, including inherited members

## Public Variables

QWebFrame * | parentFrame
QStringList | suggestedFileNames

## Detailed Description

The ChooseMultipleFilesExtensionOption class describes the option for the multiple files selection extension.

The ChooseMultipleFilesExtensionOption class holds the frame originating the request and the suggested filenames which might be provided.

See also QWebPage::extension(), QWebPage::chooseFile(), and QWebPage::ChooseMultipleFilesExtensionReturn.

## Member Variable Documentation

### QWebFrame * ChooseMultipleFilesExtensionOption::parentFrame

This variable holds the frame in which the request originated.

### QStringList ChooseMultipleFilesExtensionOption::suggestedFileNames

This variable holds the suggested filenames.